<?php
namespace Teknisa\MAN\Controllers;

use \Teknisa\Libs\Utilities\Environment;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Controller\CrudWithParameterBag;

class SelectConftela extends CrudWithParameterBag {
    public function __construct ($dataSourceManager, ParameterBag $parameterBag) {
        parent::__construct($dataSourceManager, $parameterBag);
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = "vnd80600_buscaConftelaSugestao";
        $this->parameterBagColumns = ["NRORG", "CDFILIAL", "NRCONFTELA"];
        parent::find($request, $response);
    }
}
